## kio-s3 0.0+p24.04+vunstable+git20251020.1230

=== debian/changelog ===
kio-s3 (0.0+p24.04+vunstable+git20251020.1230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:30:01 +0000

kio-s3 (0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000

## kio-s3 0.0+p24.04+vunstable+git20251126.0404

=== debian/changelog ===
kio-s3 (0.0+p24.04+vunstable+git20251126.0404-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 26 Nov 2025 04:04:30 +0000

## kio-s3 0.0+p24.04+vunstable+git20251201.0320

=== debian/changelog ===
kio-s3 (0.0+p24.04+vunstable+git20251201.0320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:20:20 +0000

## kio-s3 0.0+p24.04+vunstable+git20260201.0758

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Elvis Angelaccio <elvis.angelaccio@kde.org>

cmake_minimum_required(VERSION 3.16)

set(KIO_S3_VERSION 0.9.70)
project(kio-s3 VERSION ${KIO_S3_VERSION})

set(QT_MIN_VERSION 6.5.0)
set(KF_MIN_VERSION 6.0.0)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Network)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    DocTools
    I18n
    KIO)

find_package(AWSSDK REQUIRED COMPONENTS
    core
    s3)

set_package_properties(AWSSDK PROPERTIES DESCRIPTION "the AWS SDK for C++"
    URL "https://github.com/aws/aws-sdk-cpp"
    TYPE REQUIRED
    PURPOSE "Needed to build the S3 KIO worker")

find_package(Qt6Test QUIET)
set_package_properties(Qt6Test PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for building tests.")

if(NOT Qt6Test_FOUND)
   set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

ecm_setup_version(PROJECT
    VARIABLE_PREFIX S3
    VERSION_HEADER s3version.h)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_STRICT_ITERATORS)
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_s3\")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()
add_subdirectory(desktop)
add_subdirectory(src)

add_subdirectory(doc)
kdoctools_install(po)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Elvis Angelaccio <elvis.angelaccio@kde.org>

include(ECMAddTests)

ecm_add_test(
    s3urltest.cpp ../src/s3url.cpp
    LINK_LIBRARIES Qt6::Test ${AWSSDK_LINK_LIBRARIES}
    TEST_NAME s3urltest)

=== desktop/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Elvis Angelaccio <elvis.angelaccio@kde.org>

install(FILES s3-network.desktop
        DESTINATION ${KDE_INSTALL_DATADIR}/remoteview)
install(FILES org.kde.kio_s3.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

=== doc/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Elvis Angelaccio <elvis.angelaccio@kde.org>

set(DOCSUBDIR "kioworker6/s3")

kdoctools_create_handbook(index.docbook
    INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
    SUBDIR ${DOCSUBDIR})

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Elvis Angelaccio <elvis.angelaccio@kde.org>

set(kio_s3_SRCS kio_s3.cpp s3backend.cpp s3url.cpp)

ecm_qt_declare_logging_category(kio_s3_SRCS
    HEADER s3debug.h
    IDENTIFIER S3
    CATEGORY_NAME kf.kio.workers.s3)

kcoreaddons_add_plugin(kio_s3
    SOURCES ${kio_s3_SRCS}
    INSTALL_NAMESPACE kf6/kio)

target_link_libraries(kio_s3
    Qt6::Core
    Qt6::Network
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::I18n
    ${AWSSDK_LINK_LIBRARIES})

set_target_properties(kio_s3 PROPERTIES OUTPUT_NAME "s3")

=== po/tr/docs/kioworker6/s3/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Elvis Angelaccio <elvis.angelaccio@kde.org>

# TODO: what's the KF6 equivalent for kioslave5?
kdoctools_create_handbook(index.docbook
    INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
    SUBDIR kioslave5/s3)

## kio-s3 0.0+p24.04+vunstable+git20260123.0513

=== debian/changelog ===
kio-s3 (0.0+p24.04+vunstable+git20260123.0513-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 05:13:36 +0000

=== debian/control ===
Source: kio-s3
Section: kde
Priority: optional
Build-Depends: aws-sdk-cpp,
               cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               libpolkit-qt6-1-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/system/kio-s3
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kio-s3.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kio-s3
Maintainer: Neon CI <neon@kde.org>

Package: kio-s3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Amazon S3 integration with KDE Plasma and KDE applications
 KIO S3 enables KIO-aware applications (such as Dolphin, Kate or
 Gwenview) to access and edit Amazon S3 buckets and objects.

## kio-s3 0.0+p24.04+vunstable+git20260201.0758

=== debian/changelog ===
kio-s3 (0.0+p24.04+vunstable+git20260201.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:58:29 +0000
